GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Enumerations | Functions
gridfire::policy Namespace Reference

## Classes
class | CNOChainPolicy
| CNO Chain Policy. More...
class | CNOIChainPolicy
| CNO I Chain Policy. More...
class | CNOIIChainPolicy
| CNO II Chain Policy. More...
class | CNOIIIChainPolicy
| CNO III Chain Policy. More...
class | CNOIVChainPolicy
| CNO IV Chain Policy. More...
struct | ConstructionResults
class | HotCNOChainPolicy
| Hot CNO Chain Policy. More...
class | HotCNOIChainPolicy
| Hot CNO I Chain Policy. More...
class | HotCNOIIChainPolicy
| Hot CNO II Chain Policy. More...
class | HotCNOIIIChainPolicy
| Hot CNO III Chain Policy. More...
class | MainSequencePolicy
| A NetworkPolicy for building reaction networks suitable for low-mass main-sequence stars. More...
class | MainSequenceReactionChainPolicy
| Main Sequence Reaction Chain Policy. More...
class | MultiReactionChainPolicy
| A ReactionChainPolicy composed of multiple child ReactionChainPolicy instances. More...
class | NetworkPolicy
| Abstract interface for policies that construct DynamicEngine networks from a seed composition. More...
class | ProtonProtonChainPolicy
| Proton-Proton Chain Policy. More...
class | ProtonProtonIChainPolicy
| Proton-Proton I Chain Policy. More...
class | ProtonProtonIIChainPolicy
| Proton-Proton II Chain Policy. More...
class | ProtonProtonIIIChainPolicy
| Proton-Proton III Chain Policy. More...
class | ReactionChainPolicy
| Abstract interface encapsulating a set of reactions representing a single chain or pathway. More...
class | TemperatureDependentChainPolicy
| Base class for reaction chain policies that are active only within specific temperature ranges. More...
class | TripleAlphaChainPolicy
| Triple-Alpha Chain Policy. More...

## Enumerations
enum class | NetworkPolicyStatus { UNINITIALIZED , INITIALIZED_UNVERIFIED , MISSING_KEY_REACTION , MISSING_KEY_SPECIES , INITIALIZED_VERIFIED }
| Lifecycle/verification status for a NetworkPolicy instance. More...

## Functions
std::string | NetworkPolicyStatusToString (NetworkPolicyStatus status)

## Enumeration Type Documentation

## ◆ NetworkPolicyStatus

enum class gridfire::policy::NetworkPolicyStatus
| strong

Lifecycle/verification status for a NetworkPolicy instance.

Used by concrete NetworkPolicy implementations to report the state of the policy and the constructed network during/after construction. Tests and callers can inspect the status to determine whether the resulting network meets the policy's requirements.

Enumerator
UNINITIALIZED |
INITIALIZED_UNVERIFIED |
MISSING_KEY_REACTION |
MISSING_KEY_SPECIES |
INITIALIZED_VERIFIED |

## Function Documentation

## ◆ NetworkPolicyStatusToString()

std::string gridfire::policy::NetworkPolicyStatusToString | ( | NetworkPolicyStatus | status | ) |
| inline